你的位置:首页 > Java教程

[Java教程]Struts2.5需要的最少jar文件


以Struts2.5.2为例

从官网上下载“struts-2.5.2-min-lib.zip”,里面有7个jar文件:

commons-fileupload-1.3.2.jar
commons-io-2.4.jar
commons-lang3-3.4.jar
commons-logging-1.1.3.jar
freemarker-2.3.23.jar
ognl-3.1.10.jar
struts2-core-2.5.2.jar

但只用这7个jar是不够的,要不报错,要不不能正常显示,至少还需要两个:

javassist-3.20.0-GA.jar
log4j-api-2.5.jar

以上9个jar文件在“struts-2.5.2-all.zip”中都有,这9个jar文件就是Struts2.5需要的最少jar文件。